/// <reference types="bunyan" />
import bunyan = require("bunyan");
import { ElementPosition, ElementType, IRawElement } from "./contracts";
import { FileElement } from "./file-element";
export declare class UniqueIdConverter {
    private _uniqueIdsMap;
    private _methodsArray;
    private _branchesArray;
    private _filename;
    private logger;
    constructor(filename: string, logger: bunyan);
    sortElements(): void;
    createElementsArray(file: any): void;
    createFileElement(element: IRawElement, filename: string, type: ElementType): FileElement;
    process(): void;
    setAndInitFile(file: any): void;
    protected createElementPosition(position: any): ElementPosition;
    protected fillFileElementsArray(elements: any, array: FileElement[], type: ElementType): void;
    private fillUniqueIdsMap();
    private createNewUniqueIds(array, delimiter);
    private comparePosition(elm1, elm2);
    readonly uniqueIdsMap: {};
    methodsArray: FileElement[];
    branchesArray: FileElement[];
    readonly filename: string;
    private removeDuplicateElements(elementsArray);
    private filterDuplicates(element, existedKeys);
    private removeBranchesOutOfMethods();
    private checkBranchPosition(branch, method);
    private aggregateElementsByLine(elements);
}
