/// <reference types="bunyan" />
import bunyan = require('bunyan');
export declare class SlIgnoreWrapper {
    static readonly SCAN_IGNORE_FILE_NAME: string;
    static readonly GENERATED_IGNORE_FILE_NAME: string;
    private slIgnoreFilePath;
    private outputPath;
    private filename;
    private logger;
    private parsed;
    constructor(slIgnoreFilePath: string, outputPath: string, filename: string, logger: bunyan);
    private getParser();
    private getIgnorePattern();
    private addExcludedPath(pattern, excludedFolder);
    private getDefaultPattern();
    denies(input: any): any;
    accepts(input: any): any;
}
